> ## Documentation Index
> Fetch the complete documentation index at: https://docs.subverseai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Call Request

> Delete call request from the call queue



## OpenAPI

````yaml DELETE /workflow/call/{workflowId}
openapi: 3.0.0
info:
  title: SubVerse API reference
  description: Detailed guide on how to use the SubVerse APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.subverseai.com/api
security:
  - ApiKeyAuth: []
paths:
  /workflow/call/{workflowId}:
    delete:
      description: Delete call request from the call queue
      parameters:
        - name: workflowId
          in: path
          description: Unique identifier of the workflow.
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - customer_number
              properties:
                customer_number:
                  type: string
                  description: >-
                    User's phone number. Must be a valid phone number with
                    country code, with or without '+' prefix.
            examples:
              ValidRequest:
                summary: Example of trigger workflow call
                value:
                  customer_number: '+912298765432'
      responses:
        '200':
          description: Returns error or success response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
              examples:
                200 success:
                  summary: 200 - Workflow call details updated successfully
                  value:
                    responseCode: 200
                    message: Workflow call details updated successfully
                    data: null
                400 error:
                  summary: 400 - Not in queue error
                  value:
                    responseCode: 400
                    message: User call already placed, not found in queue
                    data: null
                401 error:
                  summary: 401 - Api key is missing error
                  value:
                    responseCode: 401
                    message: Api key is missing
                    data: null
                404 error:
                  summary: 404 - Workflow not found error
                  value:
                    responseCode: 404
                    message: Workflow not found
                    data: null
                500 error:
                  summary: 500 - Internal server error
                  value:
                    responseCode: 500
                    message: Internal server error
                    data: null
components:
  schemas:
    ApiResponse:
      type: object
      required:
        - responseCode
        - message
      properties:
        responseCode:
          type: integer
          description: >-
            Always returns 200 value, with error or success response details in
            message.
        message:
          type: string
          description: Success or error message with description.
        data:
          nullable: true
          description: Additional details if available.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Authentication header containing API key from SubVerse dashboard.

````